## kst 2.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

if(kst_clang)
    set(CMAKE_C_COMPILER   "clang"   CACHE PATH "Clang C compiler")
    set(CMAKE_CXX_COMPILER "clang++" CACHE PATH "Clang C++ compiler")
endif()


# figure out if we use MinGW with Ninja: call with -DCC=gcc
if(WIN32 AND CMAKE_GENERATOR MATCHES Ninja AND CC MATCHES gcc)
    find_file(mingw_make mingw32-make.exe)
    get_filename_component(mingw_bin_dir ${mingw_make} PATH)
    set(CMAKE_RC_COMPILER ${mingw_bin_dir}/windres.exe)
endif()


set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
include(KstMacros)

get_filename_component(kst_dir ${CMAKE_SOURCE_DIR} ABSOLUTE)
get_filename_component(kst_build_dir ${CMAKE_BINARY_DIR}/build ABSOLUTE)

set(kst_binary_name kst2)


kst_option_init()
kst_option(string ""  all version_string    "Version string")
kst_option(bool   OFF all release           "Build release version: optimize for speed, don't embedded debug symbols")
kst_option(bool   OFF gcc deploy            "Deploy into install dir")
kst_option(bool   OFF all merge_files       "Merge files to speedup build about factor 5")
kst_option(bool   OFF all merge_rebuild     "Rebuild generated files from merged files build")
kst_option(bool   OFF all verbose           "Make verbose CMake run and Makefiles")
kst_option(string ""  all install_prefix    "Install path for Kst, using a default if not set")
kst_option(string ""  all install_libdir    "Install directory name for libraries")
kst_option(bool   ON  all 3rdparty          "Build plugins depending on 3rd party libraries")
kst_option(bool   ON  all dataobjects       "Build dataobject plugins")
kst_option(bool   OFF all test              "Build unit tests")
kst_option(bool   ON  all pch               "Use precompiled headers")
kst_option(bool   ON  all svnversion        "Use svnversion's output for Kst's version information")
kst_option(bool   OFF gcc rpath             "Use rpath")
kst_option(bool   OFF all 3rdparty_build    "Download and build 3rd party libraries")
kst_option(bool   OFF win 3rdparty_download "Download precompiled 3rd party libraries")
kst_option(bool   OFF win console           "Open console on Windows")
kst_option(bool   OFF win edit_cont         "Enable \"Edit and Continue\" for Visual Studio")
kst_option(bool   OFF all python            "Install Python support")
kst_option(bool   OFF all python_build      "Download and build NumPy/SciPy then install Python support")
kst_option(string ""  all python_prefix     "Path for installing python bindings")
kst_option(string OFF all cross             "Cross-compile on Linux for Windows")
kst_option(string ""  all qt4               "Use cross compiled Qt4 at given path")
kst_option(string ""  all qt5               "Use Qt5")
kst_option(bool   ON  all qt5base_only      "Only use Qt5 features available in qtbase")
kst_option(bool   OFF all clang             "Use Clang compiler")
kst_option(bool   OFF all sanitize          "Use Clang's sanitizers")
kst_option(bool   OFF all dbgsym            "Build with debug symbols enabled")
kst_option(bool   OFF win noinstaller       "Don't build installer")

message(STATUS)

if(kst_cross)
    include(KstCrossCompile)
endif()


project(Kst)


if(kst_release)
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type" FORCE)
else()
    set(CMAKE_BUILD_TYPE Debug CACHE STRING "Build type" FORCE)
endif()


if(kst_sanitize)
    include(Clang-sanitize)
    set(clang_flags "${clang_flags}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${clang_flags}")
endif()


set(kst_version_major 2)
if(kst_version_string)
    set(kst_version ${kst_version_string})
    set(CPACK_PACKAGE_INSTALL_DIRECTORY "${kst_version}")
else()
    set(kst_version_minor 0)
    set(kst_version_patch 8)
    set(kst_version ${kst_version_major}.${kst_version_minor}.${kst_version_patch})
    set(kst_version_string ${kst_version})
    set(CPACK_PACKAGE_INSTALL_DIRECTORY "Kst ${kst_version}")
endif()

if(MINGW)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
    message(STATUS "Using GCC version ${GCC_VERSION}")
endif()

if(MINGW)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
    message(STATUS "Using GCC version ${GCC_VERSION}")
endif()


if(kst_3rdparty_build)
    set(kst_3rdparty_dir ${CMAKE_BINARY_DIR}/3rdparty/installed)
    add_subdirectory(cmake/3rdparty)
elseif(kst_3rdparty_download)
    if(MINGW)
        if(GCC_VERSION VERSION_EQUAL 4.7.2 OR GCC_VERSION VERSION_GREATER 4.7.2)
            set(ver -dw2-4.7.2)
            set(md5 53edc4009d5c3ee5e11d1ba24cd8ae61)
        elseif(GCC_VERSION VERSION_EQUAL 4.7 OR GCC_VERSION VERSION_GREATER 4.7)
            set(ver 4.7)
            set(md5 de6e8dbab1bb17eee6057941fddc93e3)
        else(GCC_VERSION VERSION_EQUAL 4.6 OR GCC_VERSION VERSION_GREATER 4.6)
            set(ver 4.6)
            set(md5 70d8670af9c21eb8fb466654c95d8e4d)
        else(GCC_VERSION VERSION_GREATER 4.4)
            set(ver 4.4)
            set(md5 999248fb40a44543af4dd4cd1be0ceeb)
        else()
            message(FATA_ERROR "MinGW version ${GCC_VERSION} not supported")
        endif()
    endif()
    message(STATUS "Checking downloaded 3rd party binaries.")
    set(_deps kst-3rdparty-win32-gcc${ver})
    set(_file ${_deps}.zip)
    set(_downloaded _downloaded-NOTFOUND CACHE PATH "3rd party binaries already downloaded" FORCE)
    find_file(_downloaded ${_file} ${CMAKE_BINARY_DIR})
    if (NOT _downloaded)
        file(DOWNLOAD http://sourceforge.net/projects/kst/files/3rdparty/${_file}
            ${CMAKE_BINARY_DIR}/${_file}
            EXPECTED_MD5 ${md5}
            SHOW_PROGRESS)
        execute_process(COMMAND ${CMAKE_COMMAND} -E tar -xfj ${CMAKE_BINARY_DIR}/${_file})
    endif()
    set(kst_3rdparty_dir ${CMAKE_BINARY_DIR}/${_deps})
endif()


kst_revision_project_name(Revision)
add_definitions(-DKST_HAVE_REVISION_H)
if(kst_revision)
    file(WRITE ${CMAKE_BINARY_DIR}/kstrevision.h.tmp "#define KST_REVISION \"${kst_revision}\"\n")
    configure_file(${CMAKE_BINARY_DIR}/kstrevision.h.tmp ${CMAKE_BINARY_DIR}/kstrevision.h COPYONLY)
elseif(kst_svnversion)
    include(KstRevisionHeader)
    KstRevisionHeader(${kst_dir} ${kst_revision_project} ${CMAKE_BINARY_DIR}/kstrevision.h _modified)
else()
    file(WRITE ${CMAKE_BINARY_DIR}/kstrevision.h.tmp "#define KST_REVISION \"unknown\"\n")
    configure_file(${CMAKE_BINARY_DIR}/kstrevision.h.tmp ${CMAKE_BINARY_DIR}/kstrevision.h COPYONLY)
endif()


# Find 3rd party libraries
if(kst_3rdparty)
  message(STATUS "3rd party libs for plugins--------------------")
  find_package(Getdata)
  find_package(Gsl)
  find_package(Netcdf)
  find_package(Matio)
  find_package(CFITSIO)
  message(STATUS "----------------------------------------------")
else()
  message(STATUS "Building plugins depending on 3rd party libraries suppressed")
endif()
message(STATUS)



# Find 3rd party libraries
if (kst_qt5)
    # http://doc-snapshot.qt-project.org/5.0/cmake-manual.html
    cmake_minimum_required(VERSION 2.8.9)
    macro(use_qt5lib qt5lib)
        find_package(${qt5lib} REQUIRED)
        include_directories(${${qt5lib}_INCLUDE_DIRS})
    endmacro()
    use_qt5lib(Qt5Core)
    get_target_property(qmakebin Qt5::qmake IMPORTED_LOCATION)
    get_filename_component(QT_BINARY_DIR ${qmakebin} PATH)
    message(STATUS "Using Qt5 from ${QT_BINARY_DIR}")
    set(CMAKE_PREFIX_PATH ${QT_BINARY_DIR}/..)
    use_qt5lib(Qt5Concurrent)
    use_qt5lib(Qt5Widgets)
    use_qt5lib(Qt5Network)
    use_qt5lib(Qt5Xml)
    use_qt5lib(Qt5PrintSupport)
    add_definitions(-DQT5=1 -DQT_DISABLE_DEPRECATED_BEFORE)
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG")
    include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS}) # Qt5 bug?
else()
    if(kst_cross)
        # Cross-compiled Qt, branch 4.8.4 from https://gitorious.org/~syntheticpp/qt/qt4
        set(QT_MINGW_DIR ${kst_qt4} CACHE PATH "Qt for Mingw" FORCE)
        set(CMAKE_FIND_ROOT_PATH /usr/${TOOLNAME} ${QT_MINGW_DIR} CACHE PATH "Mingw find root path" FORCE)
    endif()
    find_package(Qt4 REQUIRED)
    include(${QT_USE_FILE})
    if(MINGW)
        # seems there is a bug in FindQt4
        macro(fix_it)
            foreach(_it ${ARGN})
                if(QT_${_it}_LIBRARY_DEBUG AND QT_${_it}_LIBRARY_RELEASE)
                    set(QT_${_it}_LIBRARY debug ${QT_${_it}_LIBRARY_DEBUG} optimized ${QT_${_it}_LIBRARY_RELEASE} CACHE STRING "Fixed ${_it}" FORCE)
                endif()
            endforeach()
        endmacro()
        fix_it(QTCORE QTGUI QTXML QTSVG QTNETWORK)
    endif()
endif()

#linguist tools
if(WITH_QT5)
find_package(Qt5LinguistTools)
    if(Qt5LinguistTools_FOUND)
        find_package(Qt5LinguistForKst)
    endif()
else()
    find_package(LinguistForKst)
endif()

message(STATUS)


# React on options


if(kst_verbose)
    set(CMAKE_VERBOSE_MAKEFILE 1)
else()
    set(CMAKE_VERBOSE_MAKEFILE 0)
endif()

if(kst_install_prefix)
    set(CMAKE_INSTALL_PREFIX ${kst_install_prefix} CACHE PATH "User's choice for install prefix" FORCE)
    set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
else()
    set(kst_install_prefix ${CMAKE_BINARY_DIR}/INSTALLED)
    set(CMAKE_INSTALL_PREFIX ${kst_install_prefix} CACHE PATH "Kst's default install prefix" FORCE)
endif()

if(NOT kst_install_libdir)
    set(kst_install_libdir lib)
endif()

if(NOT kst_install_plugins)
    set(kst_install_plugins ${kst_install_libdir}/${kst_binary_name}/plugins)
endif()

if(kst_rpath)
    # the RPATH to be used when installing
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${kst_install_libdir}")
endif()

#path to install the .desktop files
set(kst_install_plugin_desktop_file_path share/services/kst)



if(NOT kst_console)
    set(kst_win32 WIN32)
    if(kst_qt5 AND WIN32)
        set(kst_qtmain_library Qt5::WinMain)
    else()
        set(kst_qtmain_library ${QT_QTMAIN_LIBRARY})
    endif()
endif()

if(APPLE AND NOT CMAKE_GENERATOR STREQUAL Xcode)
    set(kst_win32 MACOSX_BUNDLE)
endif()

if(APPLE OR kst_clang)
    set(kst_pch 0 CACHE BOOL "Disable pch on Mac, not supported yet" FORCE)
endif()

if(kst_merge_files)
    set(kst_pch 0 CACHE BOOL "Disable pch because we build merged" FORCE)
endif()

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(x64 TRUE)
endif()


if(WIN32)
    add_definitions(-D_WIN32_WINNT=0x0501) # Windows XP
    # on 32 bit Windows we must explicitly enable >2GB support
    # maybe you have to ' 4-gigabyte tune' your Windows XP 32 bit system:
    # http://msdn.microsoft.com/en-us/library/windows/desktop/aa366778%28v=vs.85%29.aspx
    macro(large_address var flag)
        set(${var} "${${var}} ${flag}")
    endmacro()
    macro(link_large_address flag)
        large_address(CMAKE_EXE_LINKER_FLAGS    ${flag})
        large_address(CMAKE_SHARED_LINKER_FLAGS ${flag})
        large_address(CMAKE_MODULE_LINKER_FLAGS ${flag})
    endmacro()
    if(MSVC)
        link_large_address(/LARGEADDRESSAWARE)
    elseif(NOT x64)
        link_large_address(-Wl,--large-address-aware)
    endif()
endif()

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES -DNOMINMAX)
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
    if(kst_dbgsym)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
    endif()
endif()

if(MSVC_IDE AND kst_edit_cont)
    # Enable <Edit and Continue> in Visual Studio
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /ZI")
    if(kst_pch)
        # Studio bug: <Visual Studio 2005 "Force Includes" Breaks Edit and Continue with Pre-compiled Headers>
        set(kst_pch 0 CACHE BOOL "Disable pch because of Edit&Continue" FORCE)
    endif()
endif()



if(MSVC)
    set(kst_debug_postfix d)
endif()

configure_file(${kst_dir}/cmake/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

include_directories(${CMAKE_BINARY_DIR} ${QT_INCLUDES})

message(STATUS "Build summary----------------------------------")
message(STATUS)
message(STATUS "Version       : ${kst_version}")
message(STATUS "Path to source: ${kst_dir}")
message(STATUS "Installation  :")

=== misc/CMakeLists.txt ===
# install runtime files

if(WIN32)
	if (kst_qt5)
		install(FILES
			${QT_BINARY_DIR}/Qt5Core.dll
			${QT_BINARY_DIR}/Qt5Gui.dll
			${QT_BINARY_DIR}/Qt5Widgets.dll
			${QT_BINARY_DIR}/Qt5Xml.dll
			${QT_BINARY_DIR}/Qt5Network.dll				
			${QT_BINARY_DIR}/Qt5PrintSupport.dll
			DESTINATION bin
			CONFIGURATIONS Release)
		install(FILES
			${QT_BINARY_DIR}/../plugins/platforms/qminimal.dll
			${QT_BINARY_DIR}/../plugins/platforms/qwindows.dll			
			DESTINATION bin/platforms
			CONFIGURATIONS Release)
		install(FILES
			${QT_BINARY_DIR}/../plugins/printsupport/windowsprintersupport.dll		
			DESTINATION bin/printsupport
			CONFIGURATIONS Release)
		install(FILES
			${QT_BINARY_DIR}/../plugins/imageformats/qgif.dll
			${QT_BINARY_DIR}/../plugins/imageformats/qjpeg.dll				
			DESTINATION bin/imageformats
			CONFIGURATIONS Release)
	else()
		install(FILES
			${QT_BINARY_DIR}/QtCore4.dll
			${QT_BINARY_DIR}/QtGui4.dll
			${QT_BINARY_DIR}/QtXml4.dll
			${QT_BINARY_DIR}/QtOpenGL4.dll
			${QT_BINARY_DIR}/QtSvg4.dll
			${QT_BINARY_DIR}/QtNetwork4.dll
			DESTINATION bin
			CONFIGURATIONS Release)
		install(FILES
			${QT_BINARY_DIR}/QtCored4.dll
			${QT_BINARY_DIR}/QtGuid4.dll
			${QT_BINARY_DIR}/QtXmld4.dll
			${QT_BINARY_DIR}/QtOpenGLd4.dll
			${QT_BINARY_DIR}/QtSvgd4.dll
			${QT_BINARY_DIR}/QtNetworkd4.dll
			DESTINATION bin
			CONFIGURATIONS Debug)
	endif()
endif()

if(MINGW)
	get_filename_component(MINGW_BIN_PATH ${CMAKE_CXX_COMPILER} PATH)
	if(kst_cross)
		# TODO hard coded paths
		get_filename_component(mingw_name ${kst_cross} NAME)
		set(MINGW_BIN_PATH ${MINGW_BIN_PATH}/../${mingw_name}/lib)
	endif()
	if(EXISTS ${MINGW_BIN_PATH}/libgcc_s_sjlj-1.dll)
		list(APPEND runtime ${MINGW_BIN_PATH}/libgcc_s_sjlj-1.dll)
	elseif(EXISTS ${MINGW_BIN_PATH}/libgcc_s_seh-1.dll)
		list(APPEND runtime ${MINGW_BIN_PATH}/libgcc_s_seh-1.dll)
	elseif(EXISTS ${MINGW_BIN_PATH}/libgcc_s_dw2-1.dll)
		list(APPEND runtime ${MINGW_BIN_PATH}/libgcc_s_dw2-1.dll)
	endif()
	if(EXISTS ${MINGW_BIN_PATH}/libstdc++-6.dll)
		list(APPEND runtime ${MINGW_BIN_PATH}/libstdc++-6.dll)
	endif()
    if(EXISTS ${MINGW_BIN_PATH}/libwinpthread-1.dll)
        list(APPEND runtime ${MINGW_BIN_PATH}/libwinpthread-1.dll)
    endif()
    if(EXISTS ${MINGW_BIN_PATH}/mingwm10.dll)
        list(APPEND runtime ${MINGW_BIN_PATH}/mingwm10.dll)
    endif()
	if(NOT runtime)
		message(FATAL_ERROR "No mingw runtime found in ${MINGW_BIN_PATH}")
	endif()
	install(FILES ${runtime} DESTINATION bin)
endif()


if(WIN32)
	set(color_folder    colors)
	set(tutorial_folder tutorial)
	set(font_folder fonts)
else()
	set(color_folder    share/config/colors)
	set(tutorial_folder share/apps/kst/tutorial)
	SET(font_folder     share/apps/kst/fonts)
endif()


# none of these are needed for now, so don't install.
# cbn April 8, 2011
# install data files (TODO: decide on how we want to ship tutorial/demo data)
#if(UNIX)
#	if(NOT gyrodata)
#		configure_file(${kst_dir}/sample_data/GYRODATA+free-width+whitespace+unixEOL+dot-decimal-separator.txt.gz 
#		${CMAKE_BINARY_DIR}/gyrodata.dat.gz COPYONLY)
#		execute_process(WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND gunzip gyrodata.dat.gz)
#		set(gyrodata ${CMAKE_BINARY_DIR}/gyrodata.dat CACHE STRING "gyrodata decompressed")
#	endif()
#endif()
#file(GLOB dat_files ${kst_dir}/misc/tutorial/*.dat)
#install(FILES ${dat_files} ${gyrodata} DESTINATION ${tutorial_folder})


# install colors (TODO: support reading color pallets from disk)
#file(GLOB idl_files ${kst_dir}/misc/IDL*)
#install(FILES ${idl_files} DESTINATION ${color_folder})

=== src/CMakeLists.txt ===
add_subdirectory(libkst)
add_subdirectory(libkstmath)
add_subdirectory(widgets)
add_subdirectory(libkstapp)
add_subdirectory(kst)

add_subdirectory(datasources)

if(kst_dataobjects)
	add_subdirectory(plugins)
endif()

#add_subdirectory(d2asc)
#add_subdirectory(d2d)

=== tests/CMakeLists.txt ===
project(ksttests)

file(GLOB test_headers ${kst_dir}/tests/*.h)

list(REMOVE_ITEM test_headers ${kst_dir}/tests/ksttest.h)

kst_include_directories(core math)

add_definitions(-DKST_USE_QTEST_MAIN -DKST_SRC_DIR=${kst_dir})


foreach(header ${test_headers})
    get_filename_component(filename ${header} NAME_WE)
    string(REPLACE test test_ testname ${filename})
    if(kst_verbose)
        message(STATUS "Building test ${testname}")
    endif()

    kst_init(${testname} "")

    set(moc_file)
    qt4_wrap_cpp(moc_file ${header} OPTIONS "-nw")

    kst_add_executable(
        ${kst_dir}/tests/ksttest.h
        ${kst_dir}/tests/${filename}.cpp
        ${header} ${moc_file})

    kst_link(${libcore} ${libmath} ${QT_QTTEST_LIBRARY})

    add_test(NAME ${testname} COMMAND ${testname})

    # Some file grouping in Studio
    kst_flat_source_group()
    source_group(Generated FILES ${moc_file})
endforeach()

message(STATUS)
message(STATUS "Tests added, to run them call 'make test'")
message(STATUS)

# TODO all in one executable
#kst_init(${kst_binary_name} tests)
#kst_files_find(tests)
#kst_include_directories(core math)
#remove_definitions(-DKST_USE_QTEST_MAIN)
#kst_add_executable()
#kst_link(${libcore} ${libmath} ${QT_QTTEST_LIBRARY})


if(WIN32)
    add_subdirectory(realloc)
endif()
add_subdirectory(datasources/ascii)

=== cmake/3rdparty/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# figure out if we use MinGW with Ninja: call with -DCC=gcc
if(WIN32 AND CMAKE_GENERATOR MATCHES Ninja AND CC MATCHES gcc)
	find_file(mingw_make mingw32-make.exe)
	get_filename_component(mingw_bin_dir ${mingw_make} PATH)
	set(CMAKE_RC_COMPILER ${mingw_bin_dir}/windres.exe)
	message("CMAKE_RC_COMPILER: ${CMAKE_RC_COMPILER}")
endif()

project(3rdparty)

include(ExternalProject)

set(build_dir ${CMAKE_BINARY_DIR}/3rdparty)
if(kst_3rdparty_dir)
	set(install_dir ${kst_3rdparty_dir})
else()
	set(install_dir ${build_dir}/installed)
endif()
set(generator -G${CMAKE_GENERATOR})
set(install_prefix -DCMAKE_INSTALL_PREFIX=${install_dir})
file(MAKE_DIRECTORY ${install_dir})

if(CMAKE_BUILD_TYPE)
	set(build_type -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
endif()
message(STATUS "3rdparty build type: ${build_type}")
if(MINGW AND CMAKE_GENERATOR MATCHES Ninja)
	set(rc_compiler -DCMAKE_RC_COMPILER=${CMAKE_RC_COMPILER})
	set(install_target install\\strip)
else()
	set(install_target install/strip)
endif()

if(NOT kst_make_program)
	set(kst_make_program ${CMAKE_MAKE_PROGRAM})
endif()

# make dependencies visible for cmake
# http://public.kitware.com/Bug/view.php?id=13538
macro(kst_external_static_lib targetName name lib)
    add_library(${targetName} STATIC IMPORTED GLOBAL)
    set_target_properties(${targetName} PROPERTIES IMPORTED_LOCATION ${install_dir}/lib/${lib})
    add_dependencies(${targetName} ${name})
endmacro()



# GETDATA
set(ext_src ${build_dir}/getdata/src/getdata)
if(WIN32)
        set(ext_url http://sourceforge.net/projects/getdata/files/getdata/0.8.0/getdata_win-0.8.0.zip)
	set(ext_configure cmake ${ext_src}/cmake ${generator} ${rc_compiler} ${install_prefix} ${build_type})
	set(ext_install ${install_target})
	set(ext_make ${kst_make_program})
else()
        set(ver 0.8.5)
	set(ext_url http://sourceforge.net/projects/getdata/files/getdata/${ver}/getdata-${ver}.tar.gz)
        set(ext_configure ${ext_src}/configure --with-pic --enable-static --disable-shared --disable-fortran --disable-legacy-api
                                               --prefix=${install_dir} --mandir=${install_dir}/man --disable-perl )
	set(ext_install install)
	set(ext_make ${CMAKE_MAKE_PROGRAM} CXXFLAGS=-fPIC CFLAGS=-fPIC)
endif()
ExternalProject_Add(getdata
					PREFIX ${build_dir}/getdata
					URL ${ext_url}
					SOURCE_DIR ${ext_src}
					CONFIGURE_COMMAND ${ext_configure}
					BUILD_IN_SOURCE OFF
					BUILD_COMMAND ${ext_make}
					INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} ${ext_install})

if(APPLE)
	set(gddeps -lbz2 -lz)
endif()
set(GETDATA_INCLUDEDIR ${install_dir}/include PARENT_SCOPE)
kst_external_static_lib(gdc_build   libgetdata libgetdata.a)
kst_external_static_lib(gdcpp_build libgetdata libgetdata++.a)
set(GETDATA_LIBRARIES gdcpp_build gdc_build ${gddeps} PARENT_SCOPE)


# ZLIB needed by MATIO
set(ext_src ${build_dir}/zlib/src/zlib)
if(WIN32)
	set(ext_url http://sourceforge.net/projects/kst/files/3rdparty/zlib-develop-mingw-fixed.zip)
	set(ext_configure cmake ${ext_src} ${generator} -DBUILD_SHARED_LIBS=0 ${rc_compiler} ${install_prefix} ${build_type})
	set(ext_install ${install_target})
	set(ext_insource OFF )
		set(zlib_library libzlibstatic.a)
	set(ext_make ${kst_make_program})
else()
        set(ext_url http://zlib.net/zlib-1.2.8.tar.gz)
	set(ext_configure ${ext_src}/configure --static --prefix=${install_dir})
	set(ext_install install)
	set(ext_insource ON)
		set(zlib_library libz.a)
	set(ext_make ${CMAKE_MAKE_PROGRAM} CXXFLAGS=-fPIC CFLAGS=-fPIC)
endif()
ExternalProject_Add(zlib
					PREFIX ${build_dir}/zlib
					URL ${ext_url}
					SOURCE_DIR ${ext_src}
					CONFIGURE_COMMAND ${ext_configure}
					BUILD_IN_SOURCE ${ext_insource}
					BUILD_COMMAND ${ext_make}
					INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} ${ext_install})

kst_external_static_lib(zlib_build zlib ${zlib_library})

# MATIO
set(ext_src ${build_dir}/matio/src/matio)
if(WIN32)
	set(ext_url http://sourceforge.net/projects/kst/files/3rdparty/matio-2012.03.14.zip)
	set(ext_configure cmake ${CMAKE_CURRENT_SOURCE_DIR}/matio
											-Dmatio_dir=${ext_src}
											-DZLIB_INCLUDE_DIR=${install_dir}/include
											-DZLIB_LIBRARY=${zlib_library}
											${generator} ${rc_compiler}
											${install_prefix}
											${build_type})
	set(ext_install ${install_target})
	set(ext_insource OFF )
	set(ext_make ${kst_make_program})
else()
        set(ext_url http://sourceforge.net/projects/matio/files/matio/1.5.2/matio-1.5.2.tar.gz)
	set(ext_configure ${ext_src}/configure --with-pic --enable-static --disable-shared --prefix=${install_dir} --with-zlib=${install_dir})
	set(ext_install install)
	set(ext_insource ON)
	set(ext_make ${CMAKE_MAKE_PROGRAM} CXXFLAGS=-fPIC CFLAGS=-fPIC)
endif()
ExternalProject_Add(matio
					PREFIX ${build_dir}/matio
					URL ${ext_url}
					CONFIGURE_COMMAND ${ext_configure}
					BUILD_IN_SOURCE OFF
					BUILD_COMMAND ${ext_make}
					INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} ${ext_install})
add_dependencies(matio zlib)

set(MATIO_INCLUDEDIR ${install_dir}/include PARENT_SCOPE)
kst_external_static_lib(matio_build matio libmatio.a)
set(MATIO_LIBRARIES matio_build zlib_build PARENT_SCOPE)


# NETCDF
set(ext_src ${build_dir}/netcdf/src/netcdf)
if(WIN32)
	set(ext_url ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-4.1.1.tar.gz)
	set(ext_configure cmake ${CMAKE_CURRENT_SOURCE_DIR}/netcdf
											-Dnetcdf_sources=${build_dir}/netcdf/src/netcdf
											${generator} ${rc_compiler}
											${install_prefix}
											${build_type})
	set(ext_install ${install_target})
	set(ext_insource OFF)
	set(ext_make ${kst_make_program})
else()
	set(ext_url ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-4.1.3.tar.gz)
	set(ext_configure ${ext_src}/configure  --with-pic  --disable-netcdf-4
											--enable-static --disable-shared   --disable-curl --disable-dap
											--prefix=${install_dir} --with-zlib=${install_dir})
	set(ext_install install)
	set(ext_insource ON)
	set(ext_make ${CMAKE_MAKE_PROGRAM})
endif()
ExternalProject_Add(netcdf
					PREFIX ${build_dir}/netcdf
					URL ${ext_url}
					CONFIGURE_COMMAND ${ext_configure}
					BUILD_IN_SOURCE OFF
					BUILD_COMMAND ${ext_make}
					INSTALL_COMMAND ${ext_make} ${ext_install})

set(NETCDF_INCLUDEDIR  ${install_dir}/include PARENT_SCOPE)
kst_external_static_lib(netcdf_c_build netcdf libnetcdf.a)
kst_external_static_lib(netcdf_cpp_build netcdf libnetcdf_c++.a)
set(NETCDF_LIBRARY_C netcdf_c_build PARENT_SCOPE)
set(NETCDF_LIBRARY_CPP netcdf_cpp_build PARENT_SCOPE)

# CFITSIO
set(ext_src ${build_dir}/cfitsio/src/cfitsio)
if(WIN32)
	set(ext_url ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/cfit3250.zip)
	set(ext_configure  cmake ${CMAKE_CURRENT_SOURCE_DIR}/cfitsio
											-DCFIT_DIR=${build_dir}/cfitsio/src/cfitsio
											${generator} ${rc_compiler}
											${install_prefix}
											${build_type})
	set(ext_install ${install_target})
	set(ext_insource OFF)
	set(ext_make ${kst_make_program})
else()
        set(ext_url ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/cfitsio3360.tar.gz)
	set(ext_configure ${ext_src}/configure  --with-pic
											--enable-static --disable-shared
											--prefix=${install_dir} --with-zlib=${install_dir})
	set(ext_install install)
	set(ext_insource ON)
	set(ext_make ${CMAKE_MAKE_PROGRAM} CXXFLAGS=-fPIC CFLAGS=-fPIC)
endif()
ExternalProject_Add(cfitsio
					PREFIX ${build_dir}/cfitsio
					URL ${ext_url}
					CONFIGURE_COMMAND ${ext_configure}
					BUILD_IN_SOURCE ${ext_insource}
					BUILD_COMMAND ${ext_make}
					INSTALL_COMMAND ${CMAKE_MAKE_PROGRAM} ${ext_install})


set(CFITSIO_INCLUDEDIR ${install_dir}/include/cfitsio PARENT_SCOPE)
kst_external_static_lib(cfitsio_build cfitsio libcfitsio.a)
set(CFITSIO_LIBRARIES cfitsio_build PARENT_SCOPE)



# GSL
set(ext_src ${build_dir}/gsl/src/gsl)
if(WIN32)
	set(ext_url http://sourceforge.net/projects/kst/files/3rdparty/gsl-1.14-patched.zip)
	set(ext_configure cmake ${CMAKE_CURRENT_SOURCE_DIR}/gsl
											-DGSL_DIR=${build_dir}/gsl/src/gsl
											${generator} ${rc_compiler}
											${install_prefix}
											${build_type})
	set(ext_install ${install_target})
	set(ext_insource OFF)
	set(ext_make ${kst_make_program})
else()
        set(ext_url ftp://ftp.gnu.org/gnu/gsl/gsl-1.16.tar.gz)
	set(ext_configure ${ext_src}/configure  --with-pic
											--enable-static --disable-shared
											--prefix=${install_dir} --with-zlib=${install_dir})
	set(ext_install install)
	set(ext_insource ON)
	set(ext_make ${CMAKE_MAKE_PROGRAM})
endif()
ExternalProject_Add(gsl
					PREFIX ${build_dir}/gsl
					URL ${ext_url}
					CONFIGURE_COMMAND ${ext_configure}
					BUILD_IN_SOURCE OFF
					BUILD_COMMAND ${ext_make}
					INSTALL_COMMAND ${ext_make} ${ext_install})

if(APPLE)
		set(GSL_DEPS ${install_dir}/lib/libgslcblas.a)
endif()
set(GSL_INCLUDEDIR ${install_dir}/include PARENT_SCOPE)
kst_external_static_lib(gsl_build gsl libgsl.a)
set(GSL_LIBRARIES gsl_build ${GSL_DEPS} PARENT_SCOPE)

=== cmake/pyKst/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(pyKst)


if(kst_binary_name) #stand-alone?
    set(kstpydir ${CMAKE_SOURCE_DIR})
else()
    find_package(Qt4 REQUIRED)
    set(kstpydir ${CMAKE_SOURCE_DIR}/..)
endif()

find_package(PythonInterp REQUIRED)
find_package(PythonLibs REQUIRED)

if(kst_python_prefix)
    set(pydist_dir ${kst_python_prefix})
    message(STATUS "Installing python support into ${pydist_dir}")
else()
    # find install path for pykst files
    execute_process(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/finddistdir.py
                OUTPUT_VARIABLE pydist_dir
                OUTPUT_STRIP_TRAILING_WHITESPACE)
    message(STATUS "Installing python support into ${pydist_dir}. Overwrite using -Dkst_python_prefix=")
endif()

if(NOT kst_python_build)
    macro(checkversion _name _required)
        string(TOUPPER ${_name} _n)
        if(${${_n}_VERSION} VERSION_LESS ${_required})
            message(FATAL_ERROR "Python support: '${_name}' is too old (${${_n}_VERSION} < ${_required})")
        endif()
    endmacro()
    include(CMakePackageConfigHelpers)
    find_package(NumPy REQUIRED)
    checkversion(NumPy 1.6.0)
    find_package(SciPy REQUIRED)
    checkversion(SciPy 0.10.0)
endif()


if(kst_python_build)
    if(WIN32)
        # Python 2.6(7?)    : http://www.python.org/getit/windows
        # NumPy/Scipy (bin) : http://www.lfd.uci.edu/~gohlke/pythonlibs
        # Sip/PyQt    (src) : http://www.riverbankcomputing.co.uk/software/pyqt/intro
        # Status -> could not load QtGui (has nothing to do with kst)
        set(BUILD_NUM_PY FALSE)
        set(BUILD_SCI_PY FALSE)
    else()
        set(BUILD_NUM_PY TRUE)
        set(BUILD_SCI_PY TRUE)
    endif()

    include(ExternalProject)
    set(pypi http://pypi.python.org/packages/source)

    if(NOT EXISTS ${pydist_dir}/numpy  AND BUILD_NUM_PY)
        set(numpy numpy-1.6.1)
        ExternalProject_Add(numpy
                        PREFIX ${CMAKE_CURRENT_BINARY_DIR}/numpy
                        URL    ${pypi}/n/numpy/${numpy}.tar.gz
                        CONFIGURE_COMMAND ""
                        BUILD_IN_SOURCE   ON
                        BUILD_COMMAND     python setup.py build --fcompiler=gnu95
                        INSTALL_COMMAND   sudo python setup.py install)
    endif()

    if(NOT EXISTS ${pydist_dir}/scipy  AND BUILD_SCI_PY)
        set(scipy scipy-0.10.0)
        ExternalProject_Add(scipy
                        PREFIX ${CMAKE_CURRENT_BINARY_DIR}/scipy
                        URL    ${pypi}/s/scipy/${scipy}.tar.gz
                        CONFIGURE_COMMAND ""
                        BUILD_IN_SOURCE   ON
                        BUILD_COMMAND     python setup.py build
                        INSTALL_COMMAND   sudo python setup.py install)
    endif()

    message(STATUS "Python support: installing Kst's python files into '${pydist_dir}'")
    message(STATUS)
endif()


set(pykstpp_header ${CMAKE_CURRENT_BINARY_DIR}/pykstpp_h.py)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/pykstpp_h.py.cmake ${pykstpp_header})

install(FILES ${kstpydir}/pyKst/pykst.py ${kstpydir}/pyKst/pykstpp.py ${pykstpp_header} 
        DESTINATION ${pydist_dir})

=== old_tests/dirfile_replay/Makefile ===
CC = gcc -g

all: replay

replay: replay.o getdata.o getdata.h getdata_struct.h
	$(CC) -o replay replay.o getdata.o -lm

=== src/datasources/CMakeLists.txt ===


kst_init_plugin(src/datasources datasource)

if(MSVC OR MINGW)
	add_definitions(-DKST_USE_KST_ATOF)
endif()

if(UNIX)
  # speedup on Linux x2.7
  add_definitions(-DKST_USE_KST_ATOF)
endif()

kst_add_plugin(. ascii)
kst_add_plugin(. qimagesource)
kst_add_plugin(. sampledatasource)
kst_add_plugin(. sourcelist)

if(getdata)
	include_directories(${GETDATA_INCLUDE_DIR})
	kst_add_plugin(. dirfilesource)
	kst_link(${GETDATA_LIBRARIES})
endif()

if(cfitsio)
	include_directories(${CFITSIO_INCLUDE_DIR})
	kst_add_plugin(. fitsimage)
  #kst_add_plugin(. fitstable)
	#kst_add_plugin(. healpix)
	kst_link(${CFITSIO_LIBRARIES})
endif()

#if(healpix)
#	kst_add_plugin(. healpix)
#endif()

#if(lfioo)
#	kst_add_plugin(. lfiio)
#endif()

if(netcdf)
	include_directories(${NETCDF_INCLUDE_DIR})
	kst_add_plugin(. netcdf)
	kst_link(${NETCDF_LIBRARIES})
endif()
	
#if(planckIDEF)
#	kst_add_plugin(. planckIDEF)
#endif()

#if(dmc)
#  include_directories(${DMC_INCLUDE_DIR})
#  kst_add_plugin(. dmc)
#  #kst_link(${DMC_LIBRARIES})
#endif()

if(matio)
	include_directories(${MATIO_INCLUDE_DIR})
	kst_add_plugin(. matlab) # Directory named after the file format, not the lib
	kst_link(${MATIO_LIBRARIES})
endif()

=== src/kst/CMakeLists.txt ===
kst_init(${kst_binary_name} "")

kst_files_ignore(main-vld)

kst_files_find(src/kst)

if(WIN32)
	if(MINGW)
		add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/kst_icon.o
						   COMMAND ${CMAKE_RC_COMPILER} -I${CMAKE_CURRENT_BINARY_DIR}
						   -i${kst_dir}/src/kst/kst_icon.rc
						   -o ${CMAKE_CURRENT_BINARY_DIR}/kst_icon.o)
		set(rc_file ${CMAKE_CURRENT_BINARY_DIR}/kst_icon.o)
	else()
		set(rc_file ${kst_dir}/src/kst/kst_icon.rc)
	endif()
endif()

kst_add_resources(src/images/icons.qrc)

kst_find_info_files(KstCMakeFiles ${kst_dir}/cmake/*)
kst_find_info_files(KstCMakeFiles ${kst_dir}/cmake/modules/*)

kst_add_info_files(KstInfoFiles
	${kst_dir}/INSTALL
	${kst_dir}/NEWS
	${kst_dir}/README)

kst_include_directories(app core)

kst_add_executable(${kst_win32} ${rc_file})

kst_link(${libcore} ${libmath} ${libapp} ${libwidgets})

kst_install_executable()

if(UNIX AND NOT APPLE)
	set(man ${CMAKE_BINARY_DIR}/${kst_binary_name}.1)
	configure_file(${kst_dir}/src/kst/kst.1.txt ${man})
	install(CODE "execute_process(COMMAND gzip ${man})")
	set_source_files_properties(${man}.gz PROPERTIES GENERATED TRUE)
	install(FILES ${man}.gz DESTINATION share/man/man1)

	set(k ${kst_dir}/src/kst)
#	install(FILES ${k}/kstplugin.desktop
#	              ${k}/kstdatasourceplugin.desktop
#	              ${k}/kstdataobjectplugin.desktop
#	              ${k}/kstbasicplugin.desktop
#	              ${k}/kstfilter.desktop
#	              ${k}/kstextension.desktop
#	                                 DESTINATION share/servicetypes/kst)
	install(FILES ${k}/kst2.desktop   DESTINATION share/applnk/Graphics)
	install(FILES ${k}/x-kst2.desktop DESTINATION share/mimelink/application)
	install(FILES ${k}/kst2.desktop   DESTINATION share/applications)

#       icons
		install(FILES ${kst_dir}/src/images/32x32/kst.png DESTINATION share/icons/hicolor/32x32/apps)
		install(FILES ${kst_dir}/src/images/48x48/kst.png DESTINATION share/icons/hicolor/48x48/apps)
		install(FILES ${kst_dir}/src/images/64x64/kst.png DESTINATION share/icons/hicolor/64x64/apps)
		install(FILES ${kst_dir}/src/images/128x128/kst.png DESTINATION share/icons/hicolor/128x128/apps)
		install(FILES ${kst_dir}/src/images/svg_icons/kst.svg DESTINATION share/icons/hicolor/scalable/apps)

		install(FILES ${kst_dir}/src/images/32x32/application-x-kst.png DESTINATION share/icons/hicolor/32x32/apps)
		install(FILES ${kst_dir}/src/images/48x48/application-x-kst.png DESTINATION share/icons/hicolor/48x48/apps)
		install(FILES ${kst_dir}/src/images/64x64/application-x-kst.png DESTINATION share/icons/hicolor/64x64/apps)
		install(FILES ${kst_dir}/src/images/128x128/application-x-kst.png DESTINATION share/icons/hicolor/128x128/apps)
		install(FILES ${kst_dir}/src/images/svg_icons/application-x-kst.svg DESTINATION share/icons/hicolor/scalable/apps)

endif()


if(UNIX AND kst_deploy)
	set(app "${CMAKE_INSTALL_PREFIX}/bin/${kst_binary_name}")
	set(dirs ${QT_LIBRARY_DIR} ${kst_build_dir}/lib)
	install(CODE "
		include(DeployQt4)
		fixup_qt4_executable(${app} \"\" \"\" \"${dirs}\")"
		COMPONENT RUNTIME)

	set(kst_renamed kst${kst_version})
	set(start_script ${CMAKE_BINARY_DIR}/kst2_start.sh)
	configure_file(${kst_dir}/src/kst/kst2.sh.cmake ${start_script} @ONLY)
	file(WRITE ${CMAKE_BINARY_DIR}/delpoy.sh "#!/bin/bash
	mv ${CMAKE_INSTALL_PREFIX}/bin/*.so* ${CMAKE_INSTALL_PREFIX}/lib
	mv ${CMAKE_INSTALL_PREFIX}/bin/${kst_binary_name} ${CMAKE_INSTALL_PREFIX}/bin/${kst_renamed}
	cp ${start_script} ${CMAKE_INSTALL_PREFIX}/bin/${kst_binary_name}
	")
	install(CODE "
		execute_process(COMMAND bash ${CMAKE_BINARY_DIR}/delpoy.sh) "
		COMPONENT RUNTIME)
endif()

=== src/libkst/CMakeLists.txt ===
kst_init(${kst_binary_name} core)

kst_include_directories(widgets)

kst_files_ignore(stdinsource timezones)

if(WIN32 OR APPLE OR QNX OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	kst_files_ignore(sysinfo psversion)
else()
    if(NOT kst_clang)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -lrt")
    endif()
endif()

kst_files_find(src/libkst)

kst_dont_merge(sysinfo.c psversion.c)

kst_add_library(SHARED)

kst_link()

=== src/libkstapp/CMakeLists.txt ===
kst_init(${kst_binary_name} app)

if(kst_qt5)
	kst_files_ignore(svgitem)
	add_definitions(-DKST_NO_SVG)
	#add_definitions(-DKST_NO_PRINTER)
	if(UNIX)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
	endif()
endif()

kst_files_find(src/libkstapp)

kst_include_directories(core math widgets)

set(AUTHORS ${kst_dir}/AUTHORS)
set_source_files_properties(${AUTHORS} PROPERTIES GENERATED TRUE HEADER_FILE_ONLY TRUE)
file(READ ${AUTHORS} data)
string(REPLACE "\n" ";" kst_authors ${data})
file(WRITE ${CMAKE_BINARY_DIR}/authors.h.tmp "static const char* kst_authors = \"${kst_authors}\";\n")

execute_process(COMMAND ${CMAKE_COMMAND}
		-E copy_if_different
		${CMAKE_BINARY_DIR}/authors.h.tmp ${CMAKE_BINARY_DIR}/authors.h)
		
kst_add_library(STATIC ${CMAKE_BINARY_DIR}/authors.h ${AUTHORS})

kst_link(${libcore} ${libmath} ${libwidgets})

=== src/libkstmath/CMakeLists.txt ===
kst_init(${kst_binary_name} math)

kst_files_find(src/libkstmath)

kst_dont_merge(eparse.cpp escan.cpp fftsg_h.c)

kst_include_directories(core math)

kst_add_library(SHARED)

kst_link(${libcore})

=== debian/changelog ===
kst (2.0.8-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Removed duplicate entry in d/copyright.
  * Updated lintian overrides for source for accuracty and new format.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Apr 2024 14:51:55 +0200

kst (2.0.8-5) unstable; urgency=medium

  * QA upload.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/patches: Add upstream patches to fix FTBFS with CMake 3.20
    and Qt 5.15. (Closes: #997402)
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Nov 2021 15:21:57 -0500

kst (2.0.8-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to provide full GCC hardening.
      - Fix a FTCBFS. Added QT_SELECT variable to build package with QT tools.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #938942)
      - Removed DEB_LDFLAGS_MAINT_APPEND variable because '-Wl,--as-needed'
        linker flag is unnecessary because it is default to debian 11 or later.
      - Removed '--parallel' argument passed to dh because it is default since
        DH level 10.

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 11 Aug 2020 11:50:29 -0300

kst (2.0.8-3) unstable; urgency=medium

  * QA upload.
  * Add upstream_Fix-build-with-Qt-5.11.patch to fix build with recent
    Qt version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Aug 2018 21:02:45 +0200

kst (2.0.8-2) unstable; urgency=low

  * QA upload.
  * Switch to Qt5. (Closes: #874994)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Nov 2017 14:13:26 +0200

kst (2.0.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update watch file, to consider also "Kst"-named tarballs.
  * Update the patches:
    - hyphen-used-as-minus-sign.diff: replace with upstream commit
      66b254a9a553d83c8d3681cc5f3910496defaca0; patch
      upstream_Fix-hypens-used-as-minus-signs.patch
    - fix-qreal-vs-double-for-arm.diff: drop, obsolete
    - fix-cmake-3.0.diff: replace with upstream commit
      ced703c13f4e9ffe161e7e3c99931c235a27a6b9; patch
      upstream_Guard-against-empty-cmake-generator-expressions.patch
    - gsl-2.0-ftbfs: refresh
    - cmake-fix-version.diff: drop, no more needed
    - qreal-fixes-extra.diff: drop, obsolete
  * Do not pass --sourcedirectory=cmake to dh anymore, since the cmake build
    system is on the top-level now.
  * Add the qt4-dev-tools build dependency, needed to build the translations.
  * Backport upstream commits 16d4aea302e9f9eeca86e3ad72f448b8303d31b5 and
    1365ccf2fd2da59025be623b97b7207f95ba8884 to fix all the qreal/double
    issues; patches upstream_Fix-some-qreal-issues.patch and
    upstream_Fix-another-qreal-double-issue.patch.
  * Small copyright updates.
  * Backport upstream commit 9d03b1a9e92d8212e7c7729d49704de3f75360ee to add
    the %f placeholder to the Exec key in the desktop file; patch
    upstream_desktop-add-f-placeholder-for-Exec.patch.
  * Update lintian overrides.
  * Stop shipping the kde3 mime type file (which is even installed in the
    wrong directory).

 -- Pino Toscano <pino@debian.org>  Sat, 01 Jul 2017 18:06:44 +0200

kst (2.0.6-2) unstable; urgency=medium

  * QA upload.
  * Fix more qreal issues on armel/armhf/sh4; patch qreal-fixes-extra.diff.
    (Closes: #866370)

 -- Pino Toscano <pino@debian.org>  Thu, 29 Jun 2017 19:59:24 +0200

kst (2.0.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release:
    - provides a menu icon (LP: #926816)
  * Update the patches:
    - desktop-entry-lacks-main-category.diff: drop, no more needed
    - desktop-entry-contains-encoding-key.diff: drop, fixed upstream
    - hyphen-used-as-minus-sign.diff: refresh
    - fix-qreal-vs-double-for-arm.diff: refresh
    - fix-cmake-3.0.diff: refresh
    - gsl-2.0-ftbfs: refresh
  * Pass -Dkst_svnversion=OFF to cmake, as there is no svn available during
    the build.
  * Add more build dependencies:
    - pkg-config: already implicitly used
    - libmatio-dev: to enable more features
  * Enable parallel build.
  * Fix the version reported when building with cmake; patch
    cmake-fix-version.diff.
  * Fold the libkst2core2, libkst2math2, and libkst2widgets2 binaries in the
    kst binary: they are private libraries, with no real development stuff
    associated. (LP: #1155122)
  * Fold the kst-data binary into the kst binary, as there are not many data
    left there (less than 400KB, compared to 10+MB of kst).
  * Directly install to the kst destdir, since all the files go there now:
    - remove unneeded files, such as development symlinks and static libraries
  * Stop shipping the kde3 menu file.
  * Update lintian overrides.
  * Add "Multi-Arch: foreign" in kst-doc, for what is worth...
  * Update Homepage field.
  * Do not compress the examples in kst-doc, since there is not much space
    gain.
  * Small copyright updates.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Jun 2017 20:14:59 +0200

kst (2.0.3-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Bump Standards-version to 3.9.6, no changes needed.

  [ Ian Lane ]
  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.


=== debian/control ===
Source: kst
Section: science
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake (>=2.8),
               debhelper-compat (= 13),
               docbook-xsl,
               libcfitsio-dev,
               libgetdata-dev,
               libgsl-dev,
               libmatio-dev,
               libnetcdf-dev,
               pkgconf,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev,
               xsltproc,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kst-plot.kde.org/
Vcs-Browser: https://salsa.debian.org/debian/kst
Vcs-Git: https://salsa.debian.org/debian/kst.git

Package: kst
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kst-data (<< 2.0.6),
        libkst2core2 (<< 2.0.6),
        libkst2math2 (<< 2.0.6),
        libkst2widgets2 (<< 2.0.6),
Replaces: kst-data (<< 2.0.6),
          libkst2core2 (<< 2.0.6),
          libkst2math2 (<< 2.0.6),
          libkst2widgets2 (<< 2.0.6),
Recommends: kst-doc,
Description: scientific data plotting tool
 Kst is a fast real-time large-dataset viewing and plotting tool.
 It has basic data analysis functionality, contains many powerful
 built-in features and is expandable with plugins and extensions.

Package: kst-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: set of tutorials for kst
 Kst is a fast real-time large-dataset viewing and plotting tool.
 It has basic data analysis functionality, contains many powerful
 built-in features and is expandable with plugins and extensions.
 .
 This package contains documentation files for kst.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- -Dkst_install_prefix=/usr -Dkst_verbose=ON -Dkst_rpath=OFF -Dkst_svnversion=OFF -Dkst_qt5=ON

override_dh_auto_build:
	xsltproc -o docbook/kst/tutorial/ /usr/share/xml/docbook/stylesheet/docbook-xsl/html/chunk.xsl docbook/kst/tutorial/tutorial.docbook
	dh_auto_build -Scmake

override_dh_auto_clean:
	find docbook/kst/tutorial/ -name '*.html' -exec rm {} \;
	dh_auto_clean -Scmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/kst
	# remove development symlinks
	find debian/kst -name '*.so' -type l -print -delete
	# remove development static libraries
	find debian/kst -name '*.a' -print -delete
	# remove kde3 menu file
	rm -rfv debian/kst/usr/share/applnk
	# remove kde3 mime type
	rm -rfv debian/kst/usr/share/mimelink

override_dh_compress:
	dh_compress -X'/examples/'

=== debian/watch ===
version=3
http://sf.net/kst/(?:kst|Kst)-(.*)\.tar\.gz
